<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:promo_block_groups" prefix="promo-block-group" title_preset="promo_block_group_list" />

<!-- ToolBar --->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
	  	<td>
	  		<script type="text/javascript">
				<inp2:m_include t="promo_block_groups/section_reload"/>

	  			//do not rename - this function is used in default grid for double click!
	  			function edit()
	  			{
	  				std_edit_item('promo-block-group', 'promo_block_groups/promo_block_group_edit');
	  			}

	  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('promo-block-group', 'promo_block_groups/promo_block_group_edit');
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('promo-block-group')
						} ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('approve', '<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>', function() {
							submit_event('promo-block-group', 'OnMassApprove');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('decline', '<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>', function() {
							submit_event('promo-block-group', 'OnMassDecline');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>
		<inp2:m_RenderElement name="search_main_toolbar" prefix="promo-block-group" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_if check="m_Get" var="grid_error">
	<inp2:m_RenderElement design="form_message" pass_params="1">
		<inp2:m_Get name="grid_error" result_to_var="grid_error"/>
		<inp2:m_Phrase name="$grid_error"/>
	</inp2:m_RenderElement>
</inp2:m_if>

<inp2:m_RenderElement name="grid" PrefixSpecial="promo-block-group" IdField="PromoBlockGroupId" grid="Default" grid_filters="1"/>
<script type="text/javascript">
	Grids['promo-block-group'].SetDependantToolbarButtons( new Array('edit','delete','approve','decline') );
</script>

<inp2:m_include t="incs/footer"/>
